/*
 *limits.h

	Warning:
		In HSP, "UINT_MAX" and "ULONG_MAX" are -1.
		This is because int(HSP) is signed 32 bit type.

	Undefined:
		DBL_MAX
		FLT_MAX
		LDBL_MAX
		DBL_EPSILON
		DBL_MIN
		FLT_EPSILON
		FLT_MIN
		LDBL_EPSILON
		LDBL_MIN
 */

#ifndef ___HSPCRT_LIMITS_INCLUDE___
#define ___HSPCRT_LIMITS_INCLUDE___

#include "hspcrt/hspcrt.as"

#module

#const global CHAR_BIT		8
#const global INT_MAX		2147483647
#const global INT_MIN		-2147483648
#const global LONG_MAX		2147483647
#const global LONG_MIN		-2147483648
#const global MB_LEN_MAX	5
#const global SCHAR_MAX		128
#const global SCHAR_MIN		-128
#const global SHRT_MAX		32767
#const global SHRT_MIN		-32768
#const global UCHAR_MAX		$FF
#const global UINT_MAX		$FFFFFFFF
#const global ULONG_MAX		$FFFFFFFF
#const global USHRT_MAX 	$FFFF

#ifndef _CHAR_UNSIGNED
	#const global CHAR_MIN	SCHAR_MIN
	#const global CHAR_MAX	SCHAR_MAX
#else
	#const global CHAR_MIN	0
	#const global CHAR_MAX	UCHAR_MAX
#endif

;DBL_MAX
;FLT_MAX
;LDBL_MAX
;DBL_EPSILON
;DBL_MIN
;FLT_EPSILON
;FLT_MIN
;LDBL_EPSILON
;LDBL_MIN

#global
#endif
